<template>
  <section class="flex flex-row flex-wrap justify-start items-center">
    <div
      v-for="category in categories"
      :key="category"
      :class="{ 'bg-teal-light': modelCategory === category }"
      class="py-2 px-8 bg-grey-light hover:bg-teal-lighter md:w-1/2 lg:w-auto cursor-pointer text-center"
      @click="changeModelCategory(category)"
    >
      {{ category | getModelName }}
    </div>
  </section>
</template>

<script>
import { mapState, mapActions } from "vuex";

export default {
  data() {
    return {
      categories: [
        "lstPexMuscstrength_ElbowFlex",
        "lstPexMuscstrength_ShoulderAbduc",
        "lstPexMuscstrength_ShoulderExrot",
        "yonPexPain"
      ]
    };
  },
  filters: {
    getModelName(value) {
      var categoriesNames = {
        "lstPexMuscstrength_ElbowFlex" : "Elbow Flexion",
        "lstPexMuscstrength_ShoulderAbduc" : "Shoulder Abduction",
        "lstPexMuscstrength_ShoulderExrot" : "Shoulder External Rotation",
        "yonPexPain" : "Pain"
        };
      return categoriesNames[value];
    }
  },
  computed: {
    ...mapState(["modelCategory"])
  },
  async mounted() {
    await this.changeModelCategory("lstPexMuscstrength_ElbowFlex");
  },
  methods: {
    ...mapActions(["changeModelCategory"])
  }
};
</script>
